List artifacts
GET
/v1/artifactscurl -X GET 'https://api.embodiflow.io/v1/artifacts' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
查询参数
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
- sortBystring
- sortOrderstring可选值ascdesc
- projectIdstring (uuid)
- artifactTypestring
- ownerTypestring
- ownerIdstring (uuid)
响应
Success
- dataarray<ArtifactSummaryDto>必填
- idstring必填
- tenantIdstring必填
- projectIdstring | null必填
- artifactTypestring必填
- ownerTypestring必填
- ownerIdstring必填
- storageObjectIdstring | null必填
- manifestJsonobject | null必填
- createdAtstring必填
- metaobject必填
- pageSizenumber必填
- requestIdstring
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
响应示例
{
"data": [
{
"id": "string",
"tenantId": "string",
"projectId": "string",
"artifactType": "string",
"ownerType": "string",
"ownerId": "string",
"storageObjectId": "string",
"manifestJson": {},
"createdAt": "string"
}
],
"meta": {
"pageSize": 0,
"requestId": "string"
},
"nextPageToken": "string"
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1